# How to get a list of recent hits via Data Explorer

In this “How to”, we will use Data Explorer UI to **export a spreadsheet** (CSV) **containing a list of the most recent hits received by AB Tasty**. Hits correspond to all the actions executed by your visitors and tracked by a tracker.

Every time one of your visitor triggers a tracker, a hit is sent to AB Tasty.

By exporting a list of hits, you can analyze recent activity or event do your own statistics based on the raw data captured by AB Tasty.

## 1. Structuring the query <a href="#h_01jhqxgggd8abpnjvns5tvyj4b" id="h_01jhqxgggd8abpnjvns5tvyj4b"></a>

When exporting hits, dimensions act like “hit properties”.\
Two conditions should be met to export a hit list:

1. You must select “Hit id” as a dimension to export a list of hits. It will ensure that each row of your final export corresponds to a unique hit.
2. You must select “Hits count” as a metric. It’s a requirement of our API to always include at least 1 metric. By picking “Hits count”, the metric will act as a control row. It should always return 1. If not, it means hits have been aggregated and your query is unsafe for hits export (“Hit id” dimension has probably been forgotten).

Then, you can select as many dimensions to get the expected hit properties.\
It’s a good practice to include the following hit properties as dimensions for an easy-to-read export:

* “Hit timestamp”: the exact time when the hit was triggered
* “Hit type”: the type of hit (Transaction, Pageview, Action tracker Event…)

Warning: Using the dimension “Campaign id”, hits may appear multiple times for a single hit id. As hits can be related to multiple campaigns at the same time, they will be duplicated for each related campaign id. If running this kind of analysis, make sure to take this specificity in consideration.

## 2. Running the query <a href="#h_01jhqxgggdn6c7ckpfdhpqfetc" id="h_01jhqxgggdn6c7ckpfdhpqfetc"></a>

You can now run the query. To make sure your query is correct, we recommend you to run the query on a short period (ex: yesterday) to run the test while consuming few data.

Once you’re ok with your query, select the full period you need. You can now download the CSV output and analyze it by yourself in a spreadsheet app or with custom scripts.

&#x20;

### Other articles on Data Explorer: <a href="#h_01jhqzdehxnnj8raebh9bk13ae" id="h_01jhqzdehxnnj8raebh9bk13ae"></a>

* [Data Explorer - List of Metrics and Dimensions](/reporting-and-performances/data-explorer/data-explorer---list-of-metrics-and-dimensions.md)
* [How to analyze page traffic via Data Explorer](/reporting-and-performances/data-explorer/how-to-analyze-page-traffic-via-data-explorer.md)
* [How to get metrics breakdown by multiple dimensions via Data Explorer](/reporting-and-performances/data-explorer/how-to-get-metrics-breakdown-by-multiple-dimensions-via-data-explorer.md)
* [Data Explorer](/reporting-and-performances/data-explorer.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/reporting-and-performances/data-explorer/how-to-get-a-list-of-recent-hits-via-data-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
